VERSION 5.00
Begin VB.Form FrmStarwarsScroller 
   BackColor       =   &H00000000&
   BorderStyle     =   4  'Festes Werkzeugfenster
   Caption         =   "Starwars Scroller     by Scythe  scythe@cablenet.de"
   ClientHeight    =   4275
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   6210
   ClipControls    =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   285
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   414
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdOk 
      Caption         =   "Ok"
      Height          =   375
      Left            =   2400
      Style           =   1  'Grafisch
      TabIndex        =   0
      Top             =   3840
      Width           =   1215
   End
   Begin VB.Timer Timer 
      Enabled         =   0   'False
      Interval        =   25
      Left            =   4440
      Top             =   3960
   End
   Begin VB.PictureBox PicFront 
      Appearance      =   0  '2D
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      BorderStyle     =   0  'Kein
      ClipControls    =   0   'False
      Enabled         =   0   'False
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   11.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      FontTransparent =   0   'False
      ForeColor       =   &H80000008&
      Height          =   3825
      Left            =   120
      ScaleHeight     =   255
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   400
      TabIndex        =   2
      Top             =   0
      Width           =   6000
   End
   Begin VB.PictureBox PicHidden 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      BorderStyle     =   0  'Kein
      ClipControls    =   0   'False
      Enabled         =   0   'False
      FillColor       =   &H00404040&
      FillStyle       =   0  'Ausgefllt
      BeginProperty Font 
         Name            =   "Times New Roman"
         Size            =   18
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      FontTransparent =   0   'False
      ForeColor       =   &H0000FFFF&
      Height          =   3825
      Left            =   120
      ScaleHeight     =   255
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   400
      TabIndex        =   1
      TabStop         =   0   'False
      Top             =   4920
      Visible         =   0   'False
      Width           =   6000
   End
End
Attribute VB_Name = "FrmStarwarsScroller"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function BitBlt Lib "gdi32" (ByVal hdcDest As Long, ByVal XDest As Long, ByVal YDest As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hDCSrc As Long, ByVal XSrc As Long, ByVal YSrc As Long, ByVal dwRop As Long) As Long
Private Declare Function StretchBlt Lib "gdi32.dll" (ByVal hdc As Long, ByVal x As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal XSrc As Long, ByVal YSrc As Long, ByVal hSrcWidth As Long, ByVal nSrcHeight As Long, ByVal dwRop As Long) As Long

Private Const SRCCOPY = &HCC0020

Dim Lines(1 To 50) As String 'Maximal 50 Lines of Text
Dim Ctr As Integer
Dim YPos As Long
Private Sub Form_Load()
Ctr = 1
 'Load the Credits
 Open (App.Path & "\scroller.txt") For Input As #1
  Do Until EOF(1)
   Line Input #1, Lines(Ctr)
   Ctr = Ctr + 1
  Loop
 Close
 
 Ctr = Ctr - 1
 YPos = PicHidden.Height
 Timer.Enabled = True
End Sub

Private Sub Timer_Timer()
 Dim i As Long
 Dim x As Long
With PicHidden
On Error Resume Next
'Clear Picture
.Cls
'Draw Credits on the hidden Picture
For i = 1 To Ctr Step 1
 'Set position for this line
 .CurrentY = YPos + (i * .TextHeight(Lines(i)))
 If .CurrentY > 0 Then
 .CurrentX = (.ScaleWidth / 2) - (.TextWidth(Lines(i)) / 2)
 
 'Set Color to fade out the text
  .ForeColor = RGB(.CurrentY, .CurrentY, 0)
  'exit if we reached the pictures end
 If .CurrentY > 255 Then Exit For
 'disable timer if the scroller is done
 If i = Ctr And .CurrentY < 0 Then
  Timer.Enabled = False
 End If
 
 PicHidden.Print Lines(i)
 End If
Next i

'Now copy the text to our visible picture
'Shrink the text from bottom to top 2 pixels/line
For i = 254 To 80 Step -1
 'StretchBlt PicFront.hdc, x, i, .Width - 2 * x, 1, .hdc, 0, i, .Width, 1, SRCCOPY
 'The Optimized Version
 ' -x -x is faster than - 2*x
 StretchBlt PicFront.hdc, x, i, 400 - x - x, 1, .hdc, 0, i, 400, 1, SRCCOPY
 x = x + 1
Next i
'Show the new pic
PicFront.Refresh

'Move the textpos 1 pixels up
'Change this to make it scroll faster
YPos = YPos - 1

End With
End Sub

Private Sub cmdOk_Click()
 Unload Me
 End
End Sub


